function [image]=idft(kdata,Nx,Ny)
%---------------------------------------------------
% Copyright (C) 2005 Jim Ji, Texas A&M University.
% All Rights Reserved.

% References:


% Version of 4-June-2005.

% Log:
% Created  2003 Jim Ji	Source code
% Updated
%-----------------------------------------------------
%function [image]=idft(kdata,Nx,Ny)
% Input: Nx,Ny , image size (zero padded); kdata the dft coef
% Output: image, the  image
%          treat image as centered at (0,0)
%          The input correspond to samples in  K space
error(nargchk(3,3,nargin))
image=ifftshift(ifft2(ifftshift(kdata),Nx,Ny));


